package rbac

import (
	"context"

	"code.fbi.h-da.de/danet/gosdn/controller/store"
)

// RoleStore describes an interface for role store implementations.
type RoleStore interface {
	Add(context.Context, Role) error
	Update(context.Context, Role) error
	Delete(context.Context, Role) error
	Get(context.Context, store.Query) (LoadedRole, error)
	GetAll(context.Context) ([]LoadedRole, error)
}
